
*Factor.gms--------------------------------------------------------------*
*------------------------------------------------Extended snapshot tool--*

set
	case/CMS/
	o_pt_eds(eds)			*T[rXv (łׂ)
	/dtd,cnd,mycar,pdPT,pdFT,pd1*pd17,pd19*pd30/
;

parameters
	CO2EF_base(e)			*_YfroW(N)
	
	PTD_f(area,ptod,ptm)		*΍Ȃ̗A
	FTD_f(area,ftm)			*΍Ȃ̗A
	
	Factor_A(area,eds,esc,case)	*
	Factor_B(area,eds,esc,case)	*GlM[T[rXv
	Factor_C(area,eds,esc,case)	*GlM[
	Factor_D(area,eds,esc,case)	*CO2ro(BaUroW)
	Factor_E(area,eds,esc,case)	*CO2ro(CMSroW)

;


PTD_f(area,"inr",ptm)=sum(dr,sum(sex,sum(age3c,sum(ptp,
	PopPT.l(dr,sex,age3c,area)*PTG_base("inr",area,dr,sex,age3c,ptp)*PTS_base("inr",area,dr,ptp,ptm)*PTAD_base("inr",area,ptp,ptm)))))*365/10**7;
PTD_f(area,"itr",ptm)=sum(dr,sum(sex,sum(age3c,sum(ptp,
	PopPT.l(dr,sex,age3c,area)*PTG_base("itr",area,dr,sex,age3c,ptp)*PTS_base("itr",area,dr,ptp,ptm)*PTAD_base("itr",area,ptp,ptm)))))*365/10**7;
PTD_f(area,"ip",ptm)=sum(dr,sum(sex,sum(age3c,sum(ptp,sum(oca,
	PopPT.l(dr,sex,age3c,area)*PTG_base("ip",oca,dr,sex,age3c,ptp)*PTS_base("ip",oca,dr,ptp,ptm)*PTAD_base("ip",oca,ptp,ptm))))))*365/10**7;

FTD_f(area,ftm)=sum(distp,sum(freight,
	FTPD.l(area,freight)*FTG_base(freight,distp)*FTS_base(freight,ftm,distp)*FTAD_base(ftm,distp)))/1000/1000;



*_YfroW(N)̓ǂݍ

$libinclude xlimport CO2EF_base ..\input\Act_Env.xls CO2EF_base_in!




*v͗pɍłוꂽvʂ̏o
*AF BFGlM[T[rXv CFGlM[ DFCO2ro(nPȂ) EFCO2ro(nP)

Factor_A(area,eds,esc,"CMS")=ESDF.l(area,eds,esc)*eds_esc_map(eds,esc);
Factor_B(area,eds,esc,"CMS")=ESVD.l(area,eds,esc);
Factor_C(area,eds,esc,"CMS")=sum(e,ED.l(area,eds,esc,e)*eds_esc_map(eds,esc));
Factor_D(area,eds,esc,"CMS")=sum(e,ED.l(area,eds,esc,e)*eds_esc_map(eds,esc)*CO2EF_base(e));
Factor_E(area,eds,esc,"CMS")=sum(e,ED.l(area,eds,esc,e)*eds_esc_map(eds,esc)*CO2EF(e));

loop(area,loop(eds,loop(esc,loop(case,if(Factor_A(area,eds,esc,case)=0,
	Factor_A(area,eds,esc,case)$(eds_esc_map(eds,esc)<>0)=eps;);););););
loop(area,loop(eds,loop(esc,loop(case,if(Factor_B(area,eds,esc,case)=0,
	Factor_B(area,eds,esc,case)$(eds_esc_map(eds,esc)<>0)=eps;);););););
loop(area,loop(eds,loop(esc,loop(case,if(Factor_C(area,eds,esc,case)=0,
	Factor_C(area,eds,esc,case)$(eds_esc_map(eds,esc)<>0)=eps;);););););
loop(area,loop(eds,loop(esc,loop(case,if(Factor_D(area,eds,esc,case)=0,
	Factor_D(area,eds,esc,case)$(eds_esc_map(eds,esc)<>0)=eps;);););););
loop(area,loop(eds,loop(esc,loop(case,if(Factor_E(area,eds,esc,case)=0,
	Factor_E(area,eds,esc,case)$(eds_esc_map(eds,esc)<>0)=eps;);););););

Factor_B(area,"pdPT","wlk",case)=eps ;
Factor_C(area,"pdPT","wlk",case)=eps ;
Factor_D(area,"pdPT","wlk",case)=eps ;
Factor_E(area,"pdPT","wlk",case)=eps ;

Factor_B(area,"pdPT","bcl",case)=eps ;
Factor_C(area,"pdPT","bcl",case)=eps ;
Factor_D(area,"pdPT","bcl",case)=eps ;
Factor_E(area,"pdPT","bcl",case)=eps ;

Factor_B(area,"pdPT","otpt",case)=eps ;
Factor_C(area,"pdPT","otpt",case)=eps ;
Factor_D(area,"pdPT","otpt",case)=eps ;
Factor_E(area,"pdPT","otpt",case)=eps ;



*vʂ̏o

$libinclude xldump Factor_A ..\output\ExSS_out.xls A!
$libinclude xldump Factor_B ..\output\ExSS_out.xls B!
$libinclude xldump Factor_C ..\output\ExSS_out.xls C!
$libinclude xldump Factor_D ..\output\ExSS_out.xls D!
$libinclude xldump Factor_E ..\output\ExSS_out.xls E!


*--------------------------------------------------------------------*
